Subject: Re: bug#26715: xorg-service includes xf86-video-intel unconditionally

From: Efraim Flashner <[email-masked]>
Date: Mon, 7 Dec 2020 13:00:34 +0200

On Thu, Dec 03, 2020 at 12:53:01AM +0100, zimoun wrote:
> Hi Efraim,
> 
> What is the status of this bug #26715?
> 
>   <http://issues.guix.gnu.org/issue/26715>
> 
> On Sun, 30 Apr 2017 at 10:16, Efraim Flashner <[email-masked]> wrote:
> > In gnu/services/xorg.scm it includes xf86-video-intel, which is x86_64
> > and i686 only. This FTBFS on aarch64, which is not a supported
> > architecture anyway for this package, and should not be included in the
> > xorg-service except on intel machines.
> 
> Feel free to comment more or close it if it is not relevant anymore.
> 

When I build gnu/system/examples/vm-image.tmpl, which includes the video
modules, xf86-video-intel is not included in the list of xf86-video-*
packages to build/download. So, fixed to the best of my knowledge.

Thanks for following up!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted